Subject: Re: [PATCH 2/14] nes: device structures and defines

From: Roland Dreier <[email-masked]>
Date: Wed, 08 Aug 2007 09:46:16 -0700

> The barrier/ordering issue however might be a critical thing,
 > when using __raw_XXX. So one must always mmiowb() after such a write.

Not mmiowb() -- that is for ordering between CPUs, eg on systems like
Altix where PCI transactions might get reordered in the system fabric
before reaching the PCI bus.

You need a full wmb() to order between __raw_writel()s.

 - R.